function txtadobe(encodedNewText) {
    const newText = decodeURIComponent(encodedNewText);

    if (app.project) {
        var activeComp = app.project.activeItem;
        if (activeComp && activeComp instanceof CompItem) {
            var newTextLayer = activeComp.layers.addText(newText);
            
            // Get the composition dimensions
            var compWidth = activeComp.width;
            var compHeight = activeComp.height;
            
            // Generate random x and y coordinates
            var randomX = Math.random() * compWidth;
            var randomY = Math.random() * compHeight;
            
            // Set the text layer's position to the randomly generated coordinates
            newTextLayer.property("Position").setValue([randomX, randomY]);
            newTextLayer.property("Scale").setValue([100, 100]);
        } else {
            alert("Please select a composition.");
        }
    } else {
        alert("Please open a project.");
    }
}
